cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tony Collen <colle...@umn.edu>
Subject Re: [VOTE] Upgrade HSQLDB to 1.7.2 in 2.1.6-dev
Date Thu, 28 Oct 2004 03:19:10 GMT
Antonio Gallardo wrote:

> Hi:
> 
> There is a new version of HyperSonic database: 1.7.2. It is already
> committed in cocoon 2.2. I delayed the update of the branch because there
> are some incompatibilities between 1.7.1 applications and 1.7.2:

What are we getting with the upgrade?  I see the stuff in the changelog, 
but are there any bugfixes or stuff that would cause us to want to use 
it over what we already have (and what works) ?

> In the 2.2 I already did the changes sometime ago [I hope it works! ;-)].

Should probably check stuff to make sure it's in working condition.

> In the 2.1.6-dev I decided to make a vote because of potential
> compatibilies concerns.
> 
> Question:
> In Cocoon 2.1.6-dev: Upgrade HSQLDB to version 1.7.2?
> 
> Please cast your votes:
> 
> [ ] Yes, please upgrade
> [ ] No, keep the current version
> [ ] I don't care.

I am -0 on upgrading HSQL in 2.1.x unless there are some bugfixes that 
fix something that's not working properly.  If it ain't broke, why fix it?

The speed concerns are worth looking into, but I echo Ralph's sentiment 
towards not introducing stuff that's backwards-incompatible, especially 
within the 2.1.x branch.

Tony

Mime
View raw message